.popup-overlay {
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Додайте це до існуючого CSS */
.popup-overlay {
    display: none;
    /* Приховуємо за замовчуванням */
    opacity: 0;
    transition: opacity 0.3s ease;
}

/* Клас для відображення */
.popup-overlay.active {
    display: flex;
    opacity: 1;
}

.popup-content {
    background: linear-gradient(180deg, #004da0 0%, #000d1b 50%, #1c4d0b 100%);
    width: 400px;
    padding: 30px;
    border-radius: 15px;
    position: relative;
    text-align: center;
    color: white;
    max-width: 350px;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    padding: 0;
    background: none;
    border: none;
    color: rgba(0, 0, 0, 0.5);
    font-size: 24px;
    cursor: pointer;
}

.popup-title {
    font-size: 28px;
    font-weight: bold;
    margin: 0;
}

.popup-subtitle {
    margin: 5px 0;
    font-size: 14px;
}

.product-name {
    text-decoration: underline;
    margin-bottom: 20px;
}

.price-container {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-bottom: 10px;
}

.price-new {
    background: #5aec48;
    border-radius: 5px;
    font-size: 43px;
    width: 100%;
    font-weight: bold;
}

.price-old {
    background: #CDCDCD;
    border-radius: 5px;
    width: 100%;
    font-size: 43px;
    text-decoration: line-through;
    color: #000;
}

.signup-form input {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 25px;
    height: 45px;
    border: none;
    font-size: 14px;
    text-align: left;
}

.join-btn {
    width: 100%;
    padding: 10px;
    background: #485dec;
    color: white;
    border: none;
    border-radius: 30px;
    font-size: 18px;
    font-weight: bold;
    cursor: pointer;
}

.footer-info {
    font-size: 12px;
    margin: 15px 0;
    line-height: 1.4;
}

.timer-title {
    font-size: 14px;
    padding-bottom: 5px;
}

.timer-display {
    display: flex;
    justify-content: center;
    gap: 15px;
}

.timer-block span {
    background: white;
    color: black;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    font-weight: bold;
    font-size: 16px;
}

.timer-block label {
    font-size: 10px;
    display: block;
    margin-top: 5px;
}

.privacy {
    font-size: 11px;
    margin-top: 15px;
    opacity: 0.8;
}